import { formatDateTimeTimestamp } from '@genesislcap/foundation-utils';
import { SEVERITY_TYPE_DEFAULT, MAP_MESSAGE_TYPE_TO_SEVERITY_TYPE } from '../main/main.config';
export const transformMessageToNotify = (notifyRow) => {
    return {
        id: notifyRow.ALERT_ID,
        rowRef: notifyRow.DETAILS.ROW_REF,
        title: notifyRow.HEADER,
        content: notifyRow.MESSAGE,
        date: formatDateTimeTimestamp(notifyRow.CREATED_AT),
        type: MAP_MESSAGE_TYPE_TO_SEVERITY_TYPE.get(notifyRow.NOTIFY_SEVERITY) || SEVERITY_TYPE_DEFAULT,
    };
};
